| Home | Libraries | People | FAQ | More

###### buffered_read_stream::read_some (1 of 2 overloads)

Read some data from the stream.

###### Synopsis

    template<
        class MutableBufferSequence>
    std::size_t
    read_some(
        MutableBufferSequence const& buffers);

###### Description

This function is used to read data from the stream. The function call will block until one or more bytes of data has been read successfully, or until an error occurs.

###### Parameters

Name | Description
--- | ---
`buffers` | One or more buffers into which the data will be read.

###### Return Value

The number of bytes read.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | Thrown on failure.